Skip to main content
GET
/
properties
List properties
curl --request GET \
  --url https://sitevisit.app/api/v1/properties \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "isSample": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "visitCount": 123,
      "openItemCount": 123,
      "address": "<string>",
      "notes": "<string>",
      "iconEmoji": "<string>",
      "coverImageUrl": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
starting_after
string

ID of the last seen item from the previous page.

exclude_sample
boolean

Set to true to hide the Happy Apartments tutorial property.

Response

Paginated list of resources.

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required